<?php
    @session_start();
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }
?>
<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Relatório de Acompanhamento
            </div>

    		<div class="col-md-5 col-sm-6">
    			<form name="form1" method="post" action="cadastro/geral">
		    		<div class="input-group">
				      <input type="text" name="palavra" class="form-control" placeholder="Buscar por nome da instituição">
                     
				      <span class="input-group-btn">
				        <button class="btn btn-default" type="submit">
				        	<i class="glyphicon glyphicon-search"></i>
				        </button>
				      </span>
				    </div><!-- /input-group -->
		    	</form>
    		</div>
    	</div>
    
</h1>

<?php

    function idade($data) {

        $data = explode("-",$data);
        // Descobre que dia é hoje e retorna a unix timestamp 
        $hoje = mktime(0, 0, 0, date('m'), date('d'), date('Y')); // Descobre a unix timestamp da data de nascimento do fulano 
        $nascimento = mktime( 0, 0, 0, $data[1], $data[2], $data[0]);  // Depois apenas fazemos o cálculo já citado :) 
        return $idade = floor((((($hoje - $nascimento) / 60) / 60) / 24) / 365.25);  

    }

    if ($_POST) {
        echo "<h2>Resultado da busca</h2>";
        $palavra = trim($_POST["palavra"]);
        $sql = "select * from instituicao 
            where instituicao like '%$palavra%' order by instituicao";

    } else {
        echo "<h2>Instituições Cadastradas</h2>";
        $sql = "select * from instituicao order by instituicao";

    }

    $consulta = $db->prepare($sql); 
    $consulta->execute();
    
?>

<table class="table table-hover table-striped table-bordered">
    <thead bgcolor='#ccc'>
        <th>Instituição</th>
        <th width='10%'>Opções</th>
    </thead>
    <?php

        while ($row = $consulta->fetch(PDO::FETCH_OBJ)) {

            echo "<tr>
                    <td>".$row->instituicao."</td>
                    <td>
                        <a href='cadastro/detalharRelatorio/".$row->id."' class='btn btn-success'>
                            <i class='glyphicon glyphicon-list'></i> Detalhar
                        </a>
                    </td>
                </tr>";



        }

    ?>
</table>
